--- title: "ダッシュボードデータの照会" slug: "apigateway-dashboardapikey-charts" updated: 2026-09-17T09:57:24Z published: 2026-09-17T09:57:24Z canonical: "api.ncloud-docs.com/apigateway-dashboardapikey-charts" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # ダッシュボードデータの照会 Classic/VPC環境で利用できます。 Dashboardの API Key関連パラメータを利用してダッシュボードチャートデータを照会します。 ## リクエスト リクエスト形式を説明します。リクエスト形式は次の通りです。 | メソッド | URI | | --- | --- | | GET | /api/v1/dashboards/api-keys/{api-key-id}/products/{product-id}/charts | ### リクエストヘッダ API Gatewayで共通して使用されるヘッダの詳細は、[API Gatewayのリクエストヘッダ](/docs/ja/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94)をご参照ください。 ### リクエストパスパラメータ You can use the following path parameters with your request: | フィールド | タイプ | 必須の有無 | 説明 | | --- | --- | --- | --- | | `api-key-id` | String | Required | Productと関連付けられた API Key ID | | `product-id` | String | Required | APIと関連付けられた Product ID | ### リクエストクエリパラメータ You can use the following query parameters with your request: | フィールド | タイプ | 必須の有無 | 説明 | | --- | --- | --- | --- | | `regions` | List[String] | Optional | ダッシュボードチャートデータを照会する対象のリージョン - ;コレクションのアイテムは nullであってはいけない | | `offset` | Long | Optional | 照会対象のデータリストからスタートする位置 - 0~9,223,372,036,854,775,807 | | `limit` | Long | Optional | 一度に照会するデータ数 - 1~9,223,372,036,854,775,807 | | `from` | String | Required | 照会開始日 - yyyy-MM-dd形式 | | `to` | String | Required | 照会終了日 - yyyy-MM-dd形式 | | `timeZone` | String | Required | タイムゾーン(+09:00) - GETメソッド利用時、URLエンコードが必要 | | `apiId` | String | Optional | Productに作成された API ID | ### リクエスト例 リクエストのサンプルコードは次の通りです。 ``` curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/dashboards/api-keys/{api-key-id}/products/{product-id}/charts?from=2024-05-09&to=2024-05-09&timeZone=%2B09%3A00' \ --header 'Content-Type: application/json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## レスポンス レスポンス形式を説明します。 ### レスポンス構文 レスポンス構文は次の通りです。 ``` { "apis": { "content": [ { "apiId": "apiId", "apiName": "apiName", "deleted": false, "stages": [ { "stageId": "stageId", "stageName": "stageName", "deleted": false, "series": [ { "name": "callCount", "region": "region", "data": [ { "time": "2024-05-09", "value": 0.0 } ] }, { "name": "avgResponseTime", "region": "region", "data": [ { "time": "2024-05-09", "value": 0.0 } ] } ] } ] } ], "total": 0 } } ``` ### レスポンスステータスコード API Gatewayで共通して使用されるレスポンスステータスコードの詳細は、[API Gatewayのレスポンスステータスコード](/docs/ja/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C)をご参照ください。 ### レスポンス例 レスポンスのサンプルコードは次の通りです。 ``` { "apis": { "content": [ { "apiId": "*****luwtk", "apiName": "api-***", "deleted": false, "stages": [ { "stageId": "*****7mhdv", "stageName": "v1", "deleted": false, "series": [ { "name": "callCount", "region": "KR", "data": [ { "time": "2024-05-09", "value": 0.0 } ] }, { "name": "avgResponseTime", "region": "KR", "data": [ { "time": "2024-05-09", "value": 0.0 } ] } ] } ] } ], "total": 1 } } ```